Bug 474177 - Traceback if run when network down; no UI
Traceback if run when network down; no UI
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 12:14 EST by Stephen Warren
Modified: 2014-01-21 18:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1.0-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 04:13:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2008-12-02 12:14:42 EST
Running preupgrade when the network is down (e.g. before association with wireless) yields the following traceback if run from a terminal:

Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 750, in <module>
    widgets = PreUpgradeGtk()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 313, in __init__
    self.pu = preupgrade.PreUpgrade()
  File "/usr/lib/python2.5/site-packages/preupgrade/__init__.py", line 267, in __init__
    self.release_map = self.retrieve_release_info(configfile)
  File "/usr/lib/python2.5/site-packages/preupgrade/__init__.py", line 321, in retrieve_release_info
    configdata = grabber.urlopen(configfile)
  File "/usr/lib/python2.5/site-packages/urlgrabber/grabber.py", line 890, in urlopen
    return self._retry(opts, retryfunc, url)
  File "/usr/lib/python2.5/site-packages/urlgrabber/grabber.py", line 851, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.5/site-packages/urlgrabber/grabber.py", line 889, in retryfunc
    return URLGrabberFileObject(url, filename=None, opts=opts)
  File "/usr/lib/python2.5/site-packages/urlgrabber/grabber.py", line 1007, in __init__
    self._do_open()
  File "/usr/lib/python2.5/site-packages/urlgrabber/grabber.py", line 1086, in _do_open
    fo, hdr = self._make_request(req, opener)
  File "/usr/lib/python2.5/site-packages/urlgrabber/grabber.py", line 1215, in _make_request
    raise URLGrabError(4, _('IOError: %s') % (e, ))
urlgrabber.grabber.URLGrabError: [Errno 4] IOError: <urlopen error (-3, 'Temporary failure in name resolution')>

When run from the GUI, no indication is given that the application even started.

Instead, some form of GUI error message should be displayed indicating that the application did in fact actually run, and that an error occurred.

preupgrade-1.0.0-1.fc9.noarch
Comment 1 Will Woods 2008-12-15 17:55:34 EST
Yup, that's what happens all right. We need to contact the network to be able to see what upgrades are available, so the network is definitely required, but we should handle this a little more cleanly.
Comment 2 Fedora Update System 2009-04-28 18:07:28 EDT
preupgrade-1.1.0-0.pre2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/preupgrade-1.1.0-0.pre2.fc10
Comment 3 Fedora Update System 2009-05-02 12:41:49 EDT
preupgrade-1.1.0-0.pre2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4211
Comment 4 Fedora Update System 2009-05-13 18:46:52 EDT
preupgrade-1.1.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/preupgrade-1.1.0-1.fc9
Comment 5 Fedora Update System 2009-05-13 18:47:47 EDT
preupgrade-1.1.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/preupgrade-1.1.0-1.fc11
Comment 6 Fedora Update System 2009-05-15 19:33:50 EDT
preupgrade-1.1.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4211
Comment 7 Fedora Update System 2009-05-28 03:58:03 EDT
preupgrade-1.1.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-28 04:10:48 EDT
preupgrade-1.1.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-05-28 04:12:47 EDT
preupgrade-1.1.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.